#!/bin/sh

#
# chkconfig: - 90 10
# description: script to run jstatd
#

. /etc/init.d/functions

JAVA_HOME=/usr/java/latest
POLICY=/opt/cacti/scripts/jstatd.all.policy
LOG=/var/log/jstatd.log

PROC="$JAVA_HOME/bin/jstatd -J-Djava.security.policy=$POLICY -J-Djava.rmi.server.logCalls=true"

[ -x $JAVA_HOME/bin/jstatd ]  || exit 1

RETVAL=0

start(){
	echo -n $"Starting jstatd daemon: "
	status $PROC >/dev/null
	if [ $? = 0 ]; then
		echo_failure
		echo
		exit 1
	fi	
	nohup $PROC > $LOG 2>&1 &
	RETVAL=$?
	if [ $? = 0 ]; then
		echo_success
	else
		echo_failure
	fi
	echo
	touch /var/lock/subsys/jstatd
	return $RETVAL
}

stop(){
	echo -n $"Stopping jstatd daemon: "
	killproc jstatd
	RETVAL=$?
	echo
	rm -f /var/lock/subsys/jstatd
	return $RETVAL
}

restart(){
	stop
	start
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart)
		restart
		;;
	status)
		status $PROC
		;;
	condrestart)
		[ -e /var/lock/subsys/jstatd ] && restart
		;;
	*)
		echo $"Usage: $0 {start|stop|status|restart|condrestart}"
		RETVAL=1
esac

exit $RETVAL
